function [ H ] = comparagram( I1,I2)
%UNTITLED2 Summary of this function goes here
%   Detailed explanation goes here
% Speed up, especially for Octave!

[nRows, nCols]=size(I1);
I1range=2^ceil(log2(double(max(I1(:)))));
I2range=2^ceil(log2(double(max(I2(:)))));


%% Fast in Matlab, but sloooow in Octave
if 0,
  H=zeros(I1range,I2range);
  for r=1:nRows,
    for c=1:nCols,
      f1=I1(r,c)+1; f2=I2(r,c)+1;
      H(f1,f2) = H(f1,f2)+1;
    end
  end
end

%% Octave
H=zeros(I1range,I2range);
I1=I1(:); I2=I2(:);
for v1=1:I1range,
  V=I2(I1==v1);
  H(v1,:)=histc(V,0:255);
end
